List files in a vector store batch

Returns a list of vector store files in a batch.

Request

GET

https://ai.api.cloud.yandex.net/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}/files
        

Path parameters

Name

Description

batch_id

Type: string

The ID of the file batch that the files belong to.

Example: ``

vector_store_id

Type: string

The ID of the vector store that the files belong to.

Example: ``

Query parameters

Name

Description

after

Type: string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

Example: ``

before

Type: string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

Example: ``

filter

Type: string

Filter by file status. One of in_progress, completed, failed, cancelled.

Enum: in_progress, completed, failed, cancelled

limit

Type: integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

Default: 20

order

Type: string

Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.

Default: desc

Enum: asc, desc

Responses

200 OK

OK

Body

application/json
{
          "object": "list",
          "data": [
            {
              "id": "example",
              "object": "vector_store.file",
              "usage_bytes": 0,
              "created_at": 0,
              "vector_store_id": "example",
              "status": "in_progress",
              "last_error": null
            }
          ],
          "first_id": "example",
          "last_id": "example",
          "has_more": false
        }
        

Name

Description

data

Type: VectorStoreFileObject[]

Example
[
          {
            "id": "example",
            "object": "vector_store.file",
            "usage_bytes": 0,
            "created_at": 0,
            "vector_store_id": "example",
            "status": "in_progress",
            "last_error": null
          }
        ]
        

first_id

Type: string

Example: example

has_more

Type: boolean

last_id

Type: string

Example: example

object

Type: string

Example: list

VectorStoreFileObject

A list of files attached to a vector store.

Name

Description

created_at

Type: integer

The Unix timestamp (in seconds) for when the vector store file was created.

id

Type: string

The identifier, which can be referenced in API endpoints.

Example: example

last_error

Any of 2 types
  • Type: object

    code

    Type: string

    One of server_error, unsupported_file, or invalid_file.

    Enum: server_error, unsupported_file, invalid_file

    message

    Type: string

    A human-readable description of the error.

    Example: example

    The last error associated with this vector store file. Will be null if there are no errors.

    Example
    {
              "code": "server_error",
              "message": "example"
            }
            
  • Type: unknown

    Example: null

Default: null

object

Type: string

The object type, which is always vector_store.file.

Const: vector_store.file

Example: example

status

Type: string

The status of the vector store file, which can be either in_progress, completed, cancelled, or failed. The status completed indicates that the vector store file is ready for use.

Enum: in_progress, completed, cancelled, failed

usage_bytes

Type: integer

The total vector store usage in bytes. Note that this may be different from the original file size.

vector_store_id

Type: string

The ID of the vector store that the File is attached to.

Example: example

Example
{
          "id": "example",
          "object": "vector_store.file",
          "usage_bytes": 0,
          "created_at": 0,
          "vector_store_id": "example",
          "status": "in_progress",
          "last_error": null
        }
        
Следующая